跳转到主要内容
POST
/api/v1/x402/top-up

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

PAYMENT-SIGNATURE
string

Signed x402 v2 payment payload (base64-encoded PaymentPayload) used to top up the wallet balance on a supported rail such as Base or Solana. The canonical header is PAYMENT-SIGNATURE; the X-402-Payment and X-PAYMENT names are also accepted for backwards compatibility. If no payment header is present, the endpoint returns the 402 payment requirements.

示例:

"eyJ4NDAyVmVyc2lvbiI6MiwicGF5bG9hZCI6Ii4uLiJ9"

请求体

application/json

No JSON body required. Payment is sent via the X-402-Payment header. Send an empty POST to discover payment requirements.

The body is of type object.

响应

Top-up completed successfully.

success
enum<boolean>
必填
可用选项:
true
data
object
必填